Summary:	Utility for MP3 information and tag modification
Name:		mp3info
Version:	0.8.5a
Release:	%mkrel 16
Group:		Sound
License:	GPLv2
URL:		http://ibiblio.org/mp3info/
Source0:	ftp://ftp.ibiblio.org/pub/linux/apps/sound/mp3-utils/mp3info/%{name}-%{version}.tar.xz
Source1:	mp3info-16.png
Source2:	mp3info-32.png
Source3:	mp3info-48.png
Patch0:		mp3info-0.8.5a-format_not_a_string_literal_and_no_format_arguments.diff
Patch1:		mp3info-0.8.5a-linkage.patch
Patch2:		mp3info-0.8.5a-mga-nostrip.patch
BuildRequires:	gtk+2-devel 
BuildRequires:	pkgconfig(ncurses)

%description
An MP3 technical info viewer and ID3 1.x tag editor.
MP3Info has an interactive mode (using curses) and a command line mode.
MP3Info can display ID3 tag information as well as various technical aspects
of an MP3 file including playing time, bit-rate, sampling frequency and other
attributes in a pre-defined or user-specifiable output format.
It also has a VERY configurable output.
mp3info is available with both ncurses and gtk UIs.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0	

%build
%make_build CFLAGS="%{optflags} %{ldflags}"

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

%make_install prefix=%{buildroot}%{_prefix} mandir=%{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=MP3 info
Comment=Utility for MP3 information and tag modification
Exec=gmp3info
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;
EOF

%files
%doc README ChangeLog mp3info.lsm LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Tue Jul 30 2019 tex - 0.8.5a-16pclos2019
- rebuild against updates

